﻿body { margin: 0; padding: 0; background: #fff; }

/* common */
hr { border-color: #ccc; }
.left-align { text-align: left; }
.right-align { text-align: right; }
.centered { text-align: center; }
.uppercase { text-transform: uppercase; }
.border-left { border-left: solid 1px #ccc; height: 100%; }
.border-right { border-right: solid 1px #ccc; height: 100%; }

/* layout */
.page-container { min-width: 980px; max-width: 1260px; margin: 0 auto; padding-left: 40px; padding-right: 40px; }
.page-container:before, .page-container:after { display: table; content: " "; }
header { height: 60px; background: #ddd; }
header #title { font-size: 30px; margin: 10px 0 0 36px; float: left; }
footer { clear: both; padding: 10px 35px 20px 35px; }
/*#nav { float: left; width: 160px; padding: 15px; height: 100%; font-size: 20px; }*/
#nav { position: absolute; left: 0; top: 0; padding-top: 15px; font-size: 16px; }
#nav ul { margin: 0; padding: 0; list-style-type: none; }
#nav ul li { margin: .5em 0; }
#main { position: relative; padding-left: 150px; background: #fff; min-height: 400px; }

/*.loading { position: absolute; top: 0; left: 0; bottom: 0; right: 0; z-index: 1000; background: #ffffff; opacity: .75; }
.loading>div { position: absolute; top: 50%; right: 50%; width: 200px; margin-left: -100px; }*/
.loading-text { position: absolute; top: 50%; left: 50%; z-index: 1000; background: #ffffff; width: 150px; font-size: 20px; margin: -12px 0 0 -75px; text-align: center; padding: 15px; border: solid 1.5px black; }
.loading { }

/* form elements */
form { padding-bottom: 15px; }
.form-title { font-size: 24px; margin-top: 20px; margin-bottom: 12px; text-align: center; }
.form-group { margin-bottom: 12px; }
/*#customerForm .form-control { padding: 2px 5px; height: 26px; }*/
.control-label { padding-left: 0; padding-right: 0px; }
/*.control-label+div .form-control { margin-left: -15px; margin-right: -15px; }*/
div.static { background: inherit; padding: 7px 12px; }
select.form-control { padding-left: 8px; }
.validationMessage { color: #f00; }
input.error { background: #f88; }
.padding-error, .padding-message { padding: 10px 45px; }
/*.padding-error { padding-left: 45px; padding-right: 45px; }

#customerForm .control-label:first-child { float: left; width: 20%;  }
#customerForm .form-field { float: left; width: 80%; padding-left: 15px; padding-right: 15px; }
#customerForm .indented { margin-left: 20%; }
#customerForm .control-label { padding-left: 15px; padding-right: 15px; }
#customerForm .form-field { padding-left: 0; }*/

#customerForm .form-group { margin-bottom: 8px; }
/* styles for validation helpers */
.field-validation-error { color: #b94a48; }
.field-validation-valid { display: none; }
input.input-validation-error { border: 1px solid #b94a48; }
input[type="checkbox"].input-validation-error { border: 0 none; }
.validation-summary-errors { color: #b94a48; }
.validation-summary-valid { display: none; }

.table1 { width: 100%; margin: 0; padding: 0; }
.table1 th, .table1 td { border: solid 1px #ccc; padding: 1px 2px; white-space: nowrap; }
.table1 th { text-align: center; background: #d8d8d8; }
.table1 td { height: 23px; }

.divider { border-top: solid 1px #c0c0c0; margin: 20px -15px 20px -15px; }
.highlight-active:hover { background: #93fbff; }
.scroll { overflow-y: scroll; overflow-x: auto; /*border: solid 1px #aaa;*/ width: 100%; height: 100%; }
.scroll-vertical { overflow-y: scroll; border: solid 1px #aaa; width: 100%; }
.scroll-vertical th, .scroll-vertical td { border-left: none; border-top: none; }

/*#orders, #systems { padding-bottom: 15px; }
#systems, #orders { font-size: 12px; }
#customerForm .btn { width: 80px; }
#customerForm { width: 864px; margin: 0 auto; }*/
#systems .scroll-vertical { height: 255px; }
#orders .scroll-vertical { height: 255px; }

/* Dialog boxes */
.dialog { display: none; }
.dialog hr { border-top: solid 1px #aaa; }
#dlgCustomer { padding: 20px; text-align: center; }
#dlgOrder { padding: 15px; }
.border-box { border: solid 1px black; padding: 20px 30px; }
/*
.message-text { text-align: center; padding: 10px 35px; }
#orderItemTable select[disabled="disabled"] { background: transparent; border: none; }
#orderItemTable select[disabled="disabled"] option { color: black !important; }
#orderItemFormBox { border: outset 2px #808080; background: #eee; padding: 20px; height: 260px; }
*/
/*.editable, .editable th, .editable td { border-color: black; }*/
.editable { white-space: nowrap; width: 100%; }
.editable th, .editable td { border: solid 1px #a0a0a0 !important; }
/*.editable td:hover { border-color: black; }*/
.editable td.input { padding: 0 !important; }
.editable select,
.editable textarea,
.editable input[type="text"],
.editable input[type="number"] { width: 100%; padding: 2px 4px; margin: 0; border: solid 0 #ccc; height: 25px; }
.editable textarea { display: block; outline: none; resize: none; margin-bottom: 0; white-space: pre-wrap; }

/*#orderItems thead tr:first-child th { border-top: none; }*/
#orderSummary { padding-top: 10px; }
#orderSummary .form-group { margin: 15px 0; }
.ui-autocomplete { max-height: 180px; overflow-y: auto; /* prevent horizontal scrollbar */ overflow-x: hidden; position: absolute; cursor: default; z-index: 4000 !important; }
.ui-autocomplete .ui-menu-item a { white-space: pre-wrap; }

#orderItems { height: 260px; font-size: 14px; width: 864px; margin: 15px auto 0 auto; border-bottom: solid 1px #ccc; border-top: solid 1px #ccc; }
#orderItems th { text-align: center; background: #ddd; border-top: solid 2px #808080; border-bottom: solid 2px #808080; }
#orderItems td { margin: 0; padding: 0; height: 25px; }
#orderItems tr > :first-child { border-left: solid 2px #808080; }
#orderItems tr > :last-child { border-right: solid 2px #808080; }
#orderItems td > div { padding: 2px 4px; }
#orderItems td[data-column="date"] { width: 120px; }
#orderItems td[data-column="service"] { width: 240px; }
#orderItems td[data-column="rate"] { width: 90px; text-align: right; }
#orderItems td[data-column="quantity"] { width: 60px; text-align: right; }
#orderItems td[data-column="taxable"] { width: 80px; }
#orderItems td[data-column="subtotal"] { width: 90px; text-align: right; }
#orderItems td[data-column="tax"] { width: 90px; text-align: right; }
#orderItems td[data-column="total"] { width: 90px; text-align: right; }
#orderItems input:focus { font-weight: bold; }
#orderItems tfoot { background: #f0f0f0; }
/*#orderItems textarea { border: solid 1px #888; }*/
tr.border-top td { border-top: solid 1px #808080; }
tr.border-bottom td { border-bottom: solid 2px #808080; }

.autoresize-text { white-space: pre-wrap; }

.order-page { font-size: 10pt; height: 560px; overflow-x: hidden; overflow-y: scroll; }
.order-page table { width: 100%; }


tr.order:hover { cursor: pointer; background: #eee; }

.label { height: 200px; padding: 15px; }
.label-box { border: solid 1px #888888; height: 100%; padding: 15px; }

.dialog .ui-dialog-content { padding-top: 1em; }

.active { background: #93fbff; }

.date { font-style: italic; margin-bottom: 6px; font-weight: bold; }

.notes { border: solid 1px #444; height: 500px; overflow-y: auto; padding: 20px; margin-bottom: 20px; }
.notes h3 { margin-top: 0; }

ul.checklist {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

ul.checklist li {
    padding: .4em 0;
}